| Home | Libraries | People | FAQ | More

## Struct template on_total_absorbable<Type, true, true>

boost::icl::map::on_total_absorbable<Type, true, true>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename Type>
    struct on_total_absorbable<Type, true, true> {
      // types
      typedef Type::element_type element_type;

      // public static functions
      static void flip(Type &, const typename Type::element_type &);
    };

## Description

### `on_total_absorbable` public static functions

1.     static void flip(Type & object, const typename Type::element_type &);